<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>資料控制面板</title>
    <script src="{{ url_for('static' , filename = 'js/jquery-3.6.0.min.js')}}"></script>
    <script src="{{ url_for('static' , filename = 'js/jquery-ui/jquery-ui.min.js') }}"></script>
    <script src="{{ url_for('static' , filename = 'js/moment.min.js') }}"></script>
    <script src="{{ url_for('static' , filename = 'js/datatable/jquery.dataTables.min.js') }}"></script>
    <script src="{{ url_for('static' , filename = 'util/DataTableUtil.js') }}"></script>
    <link rel="stylesheet" href="{{ url_for('static' , filename = '/css/style.css') }}">
    <link rel="stylesheet" href="{{ url_for('static' , filename = 'js/jquery-ui/jquery-ui.min.css')}}">
    <link rel="stylesheet" href="{{ url_for('static' , filename = 'js/datatable/jquery.dataTables.min.css')}}">
</head>

<body>
    <h1>資料面板</h1>
    <div id="tabs">
        <ul>
            <li><a id='tab-link-01' href="#tabs-1">IXIC</a>
            </li>
            <li><a id='tab-link-02' href="#tabs-2">SPX</a>
            </li>
            <li><a id='tab-link-03' href="#tabs-3">DJI</a>
            </li>
        </ul>
        <div id="tabs-1" class="divTab" style="background-color:white; color:black;">
            <h2>納斯達克指數</h2>
            <form id='chartOpen' action="/chart/open" target="_blank">
                <input id="title" name="title" type="hidden" value="分析圖表">
                <input id="stockCode" name="stockCode" type="hidden" value="IXIC">
                <input id="stockInterval" name="stockInterval" type="hidden" value="1d">
                <input id="startDate" name="startDate" type="hidden" value="2023-01-01">
                <input id="startTime" name="startTime" type="hidden" value="09:30">
                <input id="endDate" name="endDate" type="hidden" value="2023-03-31">
                <input id="endTime" name="endTime" type="hidden" value="16:00">
                <button id="btnChart" class='ui-button ui-corner-all ui-widget hide' type="submit">趨勢圖</button>
            </form>
            <hr>
            <table id="tab1Table" class="display" style="width: 100%;"></table>
        </div>
        <div id="tabs-2" class="divTab" style="background-color:white; color:black;">
            <h2>標準普爾500指數</h2>
            <form id='chartOpen' action="/chart/open" target="_blank">
                <input id="title" name="title" type="hidden" value="分析圖表">
                <input id="stockCode" name="stockCode" type="hidden" value="SPX">
                <input id="stockInterval" name="stockInterval" type="hidden" value="1d">
                <input id="startDate" name="startDate" type="hidden" value="2023-01-01">
                <input id="startTime" name="startTime" type="hidden" value="09:30">
                <input id="endDate" name="endDate" type="hidden" value="2023-03-31">
                <input id="endTime" name="endTime" type="hidden" value="16:00">
                <button id="btnChart" class='ui-button ui-corner-all ui-widget hide' type="submit">趨勢圖</button>
            </form>
            <hr>
            <table id="tab2Table" class="display" style="width: 100%;"></table>
        </div>
        <div id="tabs-3" class="divTab" style="background-color:white; color:black;">
            <h2>道瓊斯工業平均指數</h2>
            <form id='chartOpen' action="/chart/open" target="_blank">
                <input id="title" name="title" type="hidden" value="分析圖表">
                <input id="stockCode" name="stockCode" type="hidden" value="DJI">
                <input id="stockInterval" name="stockInterval" type="hidden" value="1d">
                <input id="startDate" name="startDate" type="hidden" value="2023-01-01">
                <input id="startTime" name="startTime" type="hidden" value="09:30">
                <input id="endDate" name="endDate" type="hidden" value="2023-03-31">
                <input id="endTime" name="endTime" type="hidden" value="16:00">
                <button id="btnChart" class='ui-button ui-corner-all ui-widget hide' type="submit">趨勢圖</button>
            </form>
            <hr>
            <table id="tab3Table" class="display" style="width: 100%;"></table>
        </div>
    </div>
    <br>
    <script src="{{ url_for('static' , filename = '/app/data/data-view.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/app/data/data-ajax.js')}}"></script>
    <script type=text/javascript>
        $(function() {
            var initPage = function() {
                var view = dataView.init();
                var ajax = dataAjax.init();

                view.initPageData(ajax);
            }
            initPage();
        });

    </script>
</body>

</html>
